<?php
/*
 *  Patrick Bores - WebUserPrefs - SpamAssassin user_prefs file editor 
 *  Copyright (C) 2003  Patrick Bores
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
	// Configuration Section

	// Authorization
	// If you are operating in a multi-user environment, you will probably
	// want to require an authentication module by uncommenting one of
	// these lines. Authentication modules should set a variable called
	// $auth_user, which can be used below to set other configuration
	// variables. Be sure to configure the module by opening it and
	// editing the configuration variables.

	// require("auth/server.php");
	// require("auth/imap.php");
	// require("auth/pop3.php");
	// require("auth/pop3_noimap.php");
	// require("auth/squirrelmail.php");

	// Preferences Source
	// Specify "db" if you store user preferences in a MySQL database.
	// Specify "file" if you store user preferences in user_prefs files.

	// $prefs_source	= "db";
	$prefs_source		= "file";

	// user_prefs File Location
	// If you typed "file" for $prefs_source above, set this variable
	// to the location of the user_prefs file. If you included
	// authorization above, use the $auth_user variable to include
	// the user_prefs file for the user that logged in.

	// $user_prefs	= "/path/to/user_prefs";
	$user_prefs	= "/home/$auth_user/.spamassassin/user_prefs";
	
	// MySQL Database Settings
	// If you specified "db" for $prefs_source above, configure the
	// database connection here. If you included authorization above,
	// use the $auth_user variable in $db_sauser;

	$db_host	= "localhost";
	$db_username	= "youruser";
	$db_password	= "yourpw";
	$db_database	= "spamassassin";	// Change if necessary
	$db_table	= "userpref";
	//$db_sauser	= "sauser";		// This is 'username';
	$db_sauser	= "$auth_user";		// This is 'username';

	// Color Settings
	
	$table_border_color	= "225588";	// DDDDDD
	$table_titlebar_color	= "6699CC";	// EEEEEE
	$table_background_color	= "EEEEEE";	// FFFFFF
	$table_alt_row_color	= "FFFFFF";	// FFFFFF
	$text_titlebar_color	= "FFFFFF";	// 000000


	// The $panels_dir variable indicates which directory
	// contains your preferences panels. You can learn about
	// writing your own custom preferences panels in the file README.

	$panels_dir = "panels";


	// The $header_file and $footer_file indicate files that are
	// included at the top and bottom of the HTML output. You can
	// use these for customization purposes.

	$header_file	= "header.php";
	$footer_file	= "footer.php";

	// Set this variable to "yes" if you want to group and sort
	// the rules list. Otherwise, the rules are just displayed in
	// the order in which the user entered them.

	$group_sort	= "no";

	// Force SSL?
	// If you want to require the connection be SSL, set this to yes

	// $usessl = "yes";
	$usessl = "no";

?>
